# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
dirac::DownConverter Class Reference

A class for fast downconversion of picture data. More...

`#include <downconvert.h>`

## Public Member Functions
| DownConverter ()
| Constructor. More...
| ~DownConverter ()
| Destructor. More...
void | DoDownConvert (const PicArray &old_data, PicArray &new_data)
| A function to do the actual down-conversion. More...

## Private Member Functions
| DownConverter (const DownConverter &cpy)
DownConverter & | operator= (const DownConverter &rhs)
void | RowLoop (const int colpos, PicArray &new_data)

## Private Attributes
ValueType * | m_row_buffer

## Static Private Attributes
static const int | Stage_I_Size = 6
static const int | StageI_I = 86
static const int | StageI_II = 46
static const int | StageI_III = 4
static const int | StageI_IV = -8
static const int | StageI_V = -4
static const int | StageI_VI = 4
static const int | StageI_Shift = 8

## Detailed Description

A class for fast down-conversion of picture data. The picture data is downconverted by a factor of two in each dimension, using fast filtering techniques. The filter is a half-band filter designed to trade off frequency response, ringiness, and aliasing

## Constructor & Destructor Documentation

dirac::DownConverter::DownConverter | ( |  | ) |

dirac::DownConverter::~DownConverter | ( |  | ) |
| inline

dirac::DownConverter::DownConverter | ( | const DownConverter & | cpy | ) |
| private

## Member Function Documentation

void dirac::DownConverter::DoDownConvert | ( | const PicArray & | old_data,
|  | PicArray & | new_data
| ) |  |

A function to do the actual downconversion.

Parameters

  old_data | the picture data to be downconverted
  new_data | the resulting down-converted data. The array must be of the correct size.

DownConverter& dirac::DownConverter::operator= | ( | const DownConverter & | rhs | ) |
| private

void dirac::DownConverter::RowLoop | ( | const int | colpos,
|  | PicArray & | new_data
| ) |  |
| private

## Member Data Documentation

ValueType* dirac::DownConverter::m_row_buffer
| private

const int dirac::DownConverter::Stage_I_Size = 6
| static private

const int dirac::DownConverter::StageI_I = 86
| static private

const int dirac::DownConverter::StageI_II = 46
| static private

const int dirac::DownConverter::StageI_III = 4
| static private

const int dirac::DownConverter::StageI_IV = -8
| static private

const int dirac::DownConverter::StageI_Shift = 8
| static private

const int dirac::DownConverter::StageI_V = -4
| static private

const int dirac::DownConverter::StageI_VI = 4
| static private

The documentation for this class was generated from the following file:

- downconvert.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.